org.apache.http.client.params

## Class HttpClientParams

- java.lang.Object
- - org.apache.http.client.params.HttpClientParams

Deprecated.
(4.3) use `RequestConfig`

    @Deprecated
    public class HttpClientParams
    extends Object

An adaptor for manipulating HTTP client parameters in `HttpParams`.

Since:
  4.0

### Method Summary

Methods
`static long` `getConnectionManagerTimeout(org.apache.http.params.HttpParams params)` Deprecated. Get the connectiion manager timeout value.
`static String` `getCookiePolicy(org.apache.http.params.HttpParams params)` Deprecated.
`static boolean` `isAuthenticating(org.apache.http.params.HttpParams params)` Deprecated.
`static boolean` `isRedirecting(org.apache.http.params.HttpParams params)` Deprecated.
`static void` `setAuthenticating(org.apache.http.params.HttpParams params, boolean value)` Deprecated.
`static void` `setConnectionManagerTimeout(org.apache.http.params.HttpParams params, long timeout)` Deprecated. Set the parameter `ClientPNames.CONN_MANAGER_TIMEOUT`.
`static void` `setCookiePolicy(org.apache.http.params.HttpParams params, String cookiePolicy)` Deprecated.
`static void` `setRedirecting(org.apache.http.params.HttpParams params, boolean value)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### isRedirecting

    public static boolean isRedirecting(org.apache.http.params.HttpParams params)

Deprecated.

#### setRedirecting

    public static void setRedirecting(org.apache.http.params.HttpParams params,
                      boolean value)

Deprecated.

#### isAuthenticating

    public static boolean isAuthenticating(org.apache.http.params.HttpParams params)

Deprecated.

#### setAuthenticating

    public static void setAuthenticating(org.apache.http.params.HttpParams params,
                         boolean value)

Deprecated.

#### getCookiePolicy

    public static String getCookiePolicy(org.apache.http.params.HttpParams params)

Deprecated.

#### setCookiePolicy

    public static void setCookiePolicy(org.apache.http.params.HttpParams params,
                       String cookiePolicy)

Deprecated.

#### setConnectionManagerTimeout

    public static void setConnectionManagerTimeout(org.apache.http.params.HttpParams params,
                                   long timeout)

Deprecated.
Set the parameter `ClientPNames.CONN_MANAGER_TIMEOUT`.

Since:
  4.2

#### getConnectionManagerTimeout

    public static long getConnectionManagerTimeout(org.apache.http.params.HttpParams params)

Deprecated.
Get the connectiion manager timeout value. This is defined by the parameter `ClientPNames.CONN_MANAGER_TIMEOUT`. Failing that it uses the parameter `CoreConnectionPNames.CONNECTION_TIMEOUT` which defaults to 0 if not defined.

Returns:
  the timeout value
Since:
  4.2